/*******************************************************************************
* File Name: TestA.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TestA_H) /* Pins TestA_H */
#define CY_PINS_TestA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "TestA_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TestA_Write(uint8 value) ;
void    TestA_SetDriveMode(uint8 mode) ;
uint8   TestA_ReadDataReg(void) ;
uint8   TestA_Read(void) ;
uint8   TestA_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TestA_DRIVE_MODE_BITS        (3)
#define TestA_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - TestA_DRIVE_MODE_BITS))

#define TestA_DM_ALG_HIZ         (0x00u)
#define TestA_DM_DIG_HIZ         (0x01u)
#define TestA_DM_RES_UP          (0x02u)
#define TestA_DM_RES_DWN         (0x03u)
#define TestA_DM_OD_LO           (0x04u)
#define TestA_DM_OD_HI           (0x05u)
#define TestA_DM_STRONG          (0x06u)
#define TestA_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define TestA_MASK               TestA__MASK
#define TestA_SHIFT              TestA__SHIFT
#define TestA_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TestA_PS                     (* (reg32 *) TestA__PS)
/* Port Configuration */
#define TestA_PC                     (* (reg32 *) TestA__PC)
/* Data Register */
#define TestA_DR                     (* (reg32 *) TestA__DR)
/* Input Buffer Disable Override */
#define TestA_INP_DIS                (* (reg32 *) TestA__PC2)


#if defined(TestA__INTSTAT)  /* Interrupt Registers */

    #define TestA_INTSTAT                (* (reg32 *) TestA__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define TestA_DRIVE_MODE_SHIFT       (0x00u)
#define TestA_DRIVE_MODE_MASK        (0x07u << TestA_DRIVE_MODE_SHIFT)


#endif /* End Pins TestA_H */


/* [] END OF FILE */
