/*******************************************************************************
* File Name: isrEncSw.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrEncSw_H)
#define CY_ISR_isrEncSw_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrEncSw_Start(void);
void isrEncSw_StartEx(cyisraddress address);
void isrEncSw_Stop(void);

CY_ISR_PROTO(isrEncSw_Interrupt);

void isrEncSw_SetVector(cyisraddress address);
cyisraddress isrEncSw_GetVector(void);

void isrEncSw_SetPriority(uint8 priority);
uint8 isrEncSw_GetPriority(void);

void isrEncSw_Enable(void);
uint8 isrEncSw_GetState(void);
void isrEncSw_Disable(void);

void isrEncSw_SetPending(void);
void isrEncSw_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrEncSw ISR. */
#define isrEncSw_INTC_VECTOR            ((reg32 *) isrEncSw__INTC_VECT)

/* Address of the isrEncSw ISR priority. */
#define isrEncSw_INTC_PRIOR             ((reg32 *) isrEncSw__INTC_PRIOR_REG)

/* Priority of the isrEncSw interrupt. */
#define isrEncSw_INTC_PRIOR_NUMBER      isrEncSw__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrEncSw interrupt. */
#define isrEncSw_INTC_SET_EN            ((reg32 *) isrEncSw__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrEncSw interrupt. */
#define isrEncSw_INTC_CLR_EN            ((reg32 *) isrEncSw__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrEncSw interrupt state to pending. */
#define isrEncSw_INTC_SET_PD            ((reg32 *) isrEncSw__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrEncSw interrupt. */
#define isrEncSw_INTC_CLR_PD            ((reg32 *) isrEncSw__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrEncSw_H */


/* [] END OF FILE */
