/*******************************************************************************
* File Name: isrTC.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrTC_H)
#define CY_ISR_isrTC_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrTC_Start(void);
void isrTC_StartEx(cyisraddress address);
void isrTC_Stop(void);

CY_ISR_PROTO(isrTC_Interrupt);

void isrTC_SetVector(cyisraddress address);
cyisraddress isrTC_GetVector(void);

void isrTC_SetPriority(uint8 priority);
uint8 isrTC_GetPriority(void);

void isrTC_Enable(void);
uint8 isrTC_GetState(void);
void isrTC_Disable(void);

void isrTC_SetPending(void);
void isrTC_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrTC ISR. */
#define isrTC_INTC_VECTOR            ((reg32 *) isrTC__INTC_VECT)

/* Address of the isrTC ISR priority. */
#define isrTC_INTC_PRIOR             ((reg32 *) isrTC__INTC_PRIOR_REG)

/* Priority of the isrTC interrupt. */
#define isrTC_INTC_PRIOR_NUMBER      isrTC__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrTC interrupt. */
#define isrTC_INTC_SET_EN            ((reg32 *) isrTC__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrTC interrupt. */
#define isrTC_INTC_CLR_EN            ((reg32 *) isrTC__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrTC interrupt state to pending. */
#define isrTC_INTC_SET_PD            ((reg32 *) isrTC__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrTC interrupt. */
#define isrTC_INTC_CLR_PD            ((reg32 *) isrTC__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrTC_H */


/* [] END OF FILE */
